Page MenuHomePhabricator

CheckUser results (userlinks) cannot be customized
Closed, ResolvedPublic

Description

When checkusering the ability to format the results (links to user page/talk page/contribs ect) is missing. Preferably there would be two different messages, one for IPs and one for users.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:26 AM
bzimport added a project: CheckUser.
bzimport set Reference to bz47505.
bzimport added a subscriber: Unknown Object (MLST).

Is there an easy way to do this?

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptApr 13 2016, 2:12 PM

Is there an easy way to do this?

Yeah, convert it to a mediawiki message so it can be modified on wiki like most messages.

Is there an easy way to do this?

Yeah, convert it to a mediawiki message so it can be modified on wiki like most messages.

Yep, sorry for not being clear. I meant if it'd be difficult to code that. Also, do we want one message for the (talk|contribs|block) (check) message or various? AFAIK CU code is a bit messy (what other devs said).

I would say 2 total messages, one for IPs one for users. If further customization is needed the messages can be updated on wiki to tweak the output.

I think I can create checkuser-links message for en.json, but putting that message in the code I don't know sadly. Message can be:

"checkuser-links": "([[User_talk:$1|talk]] | [[Special:Contributions/$1|contr.]] | [[Special:Block/$1|block]])"

which will allow local customization on local wikis by editting the MediaWiki:Checkuser-links code. The (Check) link I'd leave that as is right now, since it already gives your pre-filled CheckUser reason, which comes very handy.

Luke081515 updated the task description. (Show Details)Apr 13 2016, 3:06 PM
Luke081515 added a subscriber: Luke081515.

Is this for "Get users" only? IMO, Special:CheckUser is badly in need of a UI revamp.

Is this for "Get users" only? IMO, Special:CheckUser is badly in need of a UI revamp.

Preferably both users and IPs. so WHOIS and other links may be added

MarcoAurelio renamed this task from checkuserresults cannot be customized to CheckUser results (userlinks) cannot be customized.Jul 23 2016, 1:08 PM
MarcoAurelio raised the priority of this task from Low to Medium.
MarcoAurelio added subscribers: Zppix, Legoktm, tstarling.
Glaisher raised the priority of this task from Medium to High.Jul 23 2016, 5:57 PM

Gerrit change: https://gerrit.wikimedia.org/r/300816
(gerritbot isn't working atm)

Change 300816 merged by jenkins-bot:
Allow customizing user links in get user CheckUser results

https://gerrit.wikimedia.org/r/300816

Glaisher closed this task as Resolved.Aug 1 2016, 4:31 AM
Glaisher claimed this task.

'checkuser-userlinks-ip' and 'checkuser-userlinks' messages can now be used to customize results in 'Get user'.

Meno25 removed a subscriber: Meno25.Aug 28 2016, 8:08 AM
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.Jan 22 2017, 4:31 PM